Phases (Groovy 3.0.7)

Package org.codehaus.groovy.control

## Class Phases

- java.lang.Object
- - org.codehaus.groovy.control.Phases

-     public class Phases
      extends Object

  Compilation phase identifiers.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ALL` | Synonym for full compilation
    `static int` | `CANONICALIZATION` | AST completion
    `static int` | `CLASS_GENERATION` | Class generation (pt.2)
    `static int` | `CONVERSION` | CST to AST conversion
    `static String[]` | `descriptions` |
    `static int` | `FINALIZATION` | Cleanup
    `static int` | `INITIALIZATION` | Opening of files and such
    `static int` | `INSTRUCTION_SELECTION` | Class generation (pt.1)
    `static int` | `OUTPUT` | Output of class to disk
    `static int` | `PARSING` | Lexing, parsing, and AST building
    `static int` | `SEMANTIC_ANALYSIS` | AST semantic analysis and elucidation

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Phases()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `getDescription​(int phase)` | Returns a description of the specified phase.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INITIALIZATION

          public static final int INITIALIZATION

      Opening of files and such
      See Also:
        Constant Field Values

    - #### PARSING

          public static final int PARSING

      Lexing, parsing, and AST building
      See Also:
        Constant Field Values

    - #### CONVERSION

          public static final int CONVERSION

      CST to AST conversion
      See Also:
        Constant Field Values

    - #### SEMANTIC_ANALYSIS

          public static final int SEMANTIC_ANALYSIS

      AST semantic analysis and elucidation
      See Also:
        Constant Field Values

    - #### CANONICALIZATION

          public static final int CANONICALIZATION

      AST completion
      See Also:
        Constant Field Values

    - #### INSTRUCTION_SELECTION

          public static final int INSTRUCTION_SELECTION

      Class generation (pt.1)
      See Also:
        Constant Field Values

    - #### CLASS_GENERATION

          public static final int CLASS_GENERATION

      Class generation (pt.2)
      See Also:
        Constant Field Values

    - #### OUTPUT

          public static final int OUTPUT

      Output of class to disk
      See Also:
        Constant Field Values

    - #### FINALIZATION

          public static final int FINALIZATION

      Cleanup
      See Also:
        Constant Field Values

    - #### ALL

          public static final int ALL

      Synonym for full compilation
      See Also:
        Constant Field Values

    - #### descriptions

          public static final String[] descriptions

  - ### Constructor Detail

    - #### Phases

          public Phases()

  - ### Method Detail

    - #### getDescription

          public static String getDescription​(int phase)

      Returns a description of the specified phase.